# Namespace Wrap

- Defined in codec/lib/wrap/index.ts:1

### Index

### Namespaces

Messages

### Classes - Errors

NoOverloadsMatchedError
NoUniqueBestOverloadError
TypeMismatchError

### Classes - Other

BadResponseTypeError

### Interfaces

ContractInput
EncodingTextInput
FunctionExternalInput
Method
Resolution
ResolveOptions
TypeValueInput
Uint8ArrayLike
WrapOptions

### Type Aliases

AddressLikeType
AddressLikeValue
Case
DecimalType
DecimalValue
IntegerOrEnumType
IntegerOrEnumValue
IntegerType
IntegerValue
NumericType
TupleLikeType
TupleLikeValue

### Functions

resolveAndWrap
wrap
wrapForMethod
wrapMultiple

Generated using TypeDoc